// © Roman Vernik (Usethics), Russia

with (app) {
	try {
		//Проверяем количество выделенных объектов
		if (selection.length != 2) {
			alert ('Должно быть выделено ровно 2 объекта.');
			exit ();
		}
		var resultBounds;
		oldBounds = selection[0].geometricBounds;
		selection[0].move([selection[1].geometricBounds[1], selection[1].geometricBounds[0]]);
		selection[1].move([oldBounds[1], oldBounds[0]]);
	} catch(e) {}
}